package org.linotte.web;

import java.io.File;

import org.alize.http.i.Executeur;
import org.alize.http.i.Serveur;
import org.linotte.moteur.xml.Linotte;
import org.linotte.moteur.xml.Version;
import org.linotte.web.executeur.ExecuteurLivre;

/**
 *
 * Serveur HTTP Webonotte
 *
 */
public final class Run {

	public static int PORT;
	public static File ROOT;

	public static void main(String[] args) throws Exception {
		runStandAloneServer("sun", "Webonotte", 80, new File("web"));
	}

	/**
	 * 
	 * @param type
	 * @param name
	 * @param port
	 * @param root
	 * @throws Exception
	 */
	public static void runStandAloneServer(String type, String name, int port, File root) throws Exception {
		Executeur executeur = new ExecuteurLivre();
		name = name + " " + Version.getVersion();
		Serveur serveur = ServerFactory.createServer(type, name);
		serveur.start(port, root, executeur);
		setValues(port, root);
	}

	private static void setValues(int port, File root) {
		PORT = port;
		ROOT = root;
	}

	/**
	 * 
	 * @param type
	 * @param name
	 * @param linotte
	 * @param port
	 * @param root
	 * @throws Exception
	 */
	public static void runStandEmbededServer(String type, String name, Linotte linotte, int port, File root) throws Exception {
		try {
			Executeur executeur = new ExecuteurLivre(linotte);
			name = name + " " + Version.getVersion();
			Serveur serveur = ServerFactory.createServer(type, name);
			serveur.start(port, root, executeur);
			setValues(port, root);
		} catch (NoClassDefFoundError e) {
			e.printStackTrace();
		}
	}

}